Summary: Password Database Library
Name: pwdb
Version: 0.54
Release: 6
Copyright: GPL or BSD
Group: Base
Source: ftp://sysadm.sorosis.ro/pub/libpwdb/libpwdb-0.54preC.tar.gz
Patch: libpwdb-0.54-defaults.patch
Patch1: libpwdb-0.54-sgml2ps.patch
Patch2: libpwdb-0.54-glibc.patch
Patch3: libpwdb-0.54-longname.patch
Patch4: libpwdb-0.54-badconfig.patch

%changelog

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>

- added RPM_OPT_FLAGS support
- optimization on a sparc breaks things :-(

* Thu Jun 12 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
pwdb (Password Database Library) allows configurable access to
and management of /etc/passwd, /etc/shadow, and network authentication
systems including NIS and Radius.

%changelog

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>

0.54-3: Updated default config file to work better with shadow, and
to work with NIS.

* Sat Apr 19 1997 Michael K. Johnson <johnsonm@redhat.com>

0.54-2: Included Andrew's patch for long usernames.

%prep
%setup -n libpwdb-0.54preC
%patch -p1 -b .defaults
%patch1 -p1 -b .sgml2ps
%patch2 -p1 -b .glibc
%patch3 -p1 -b .longname
%patch4 -p1 -b .badconfig

%build
rm default.defs
ln -s defs/redhat.defs default.defs

%ifnarch sparc
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
%else
make 
%endif

(cd doc; make; gzip -9 pwdb.ps)

%install
make install
install -m 644 -o root conf/pwdb.conf /etc/pwdb.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc Copyright doc/pwdb.ps.gz doc/pwdb.txt doc/html
%config /etc/pwdb.conf
/usr/include/pwdb
/lib/libpwdb.a
/lib/libpwdb.so
/lib/libpwdb.so.0.54
